Skip to main content

List Audit Events

GET /v1/audit/events

Authentication

Requires authentication via: OAuth2PasswordBearer.

Parameters

NameInTypeRequiredDescriptionConstraints
event_groupquerystring | nullNonullable
event_typequerystring | nullNonullable
statusquerystring | nullNonullable
user_idqueryinteger | nullNonullable
vm_idquerystring | nullNonullable
session_idquerystring | nullNonullable
cursorquerystring | nullNonullable
limitqueryintegerNodefault=50, min=1, max=200
X-API-Keyheaderstring | nullNonullable

Responses

200

Successful Response

application/json

Resolved schema:

{
"properties": {
"items": {
"items": {
"properties": {
"id": {
"type": "string",
"title": "Id"
},
"created_at": {
"type": "string",
"format": "date-time",
"title": "Created At"
},
"user_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "User Id"
},
"actor_type": {
"type": "string",
"title": "Actor Type"
},
"actor_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Actor Id"
},
"source": {
"type": "string",
"title": "Source"
},
"event_group": {
"type": "string",
"title": "Event Group"
},
"event_type": {
"type": "string",
"title": "Event Type"
},
"status": {
"type": "string",
"title": "Status"
},
"resource_type": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Resource Type"
},
"resource_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Resource Id"
},
"session_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Session Id"
},
"vm_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Vm Id"
},
"task_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Task Id"
},
"request_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Request Id"
},
"correlation_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Correlation Id"
},
"http_method": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Http Method"
},
"path": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Path"
},
"http_status": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Http Status"
},
"latency_ms": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
],
"title": "Latency Ms"
},
"ip_address": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Ip Address"
},
"user_agent": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "User Agent"
},
"node_ip": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Node Ip"
},
"worker_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Worker Id"
},
"event_payload": {
"anyOf": [
{},
{
"type": "null"
}
],
"title": "Event Payload"
},
"error_message": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Error Message"
}
},
"type": "object",
"required": [
"id",
"created_at",
"actor_type",
"source",
"event_group",
"event_type",
"status"
],
"title": "AuditEventResponse"
},
"type": "array",
"title": "Items"
},
"next_cursor": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Next Cursor"
}
},
"type": "object",
"required": [
"items"
],
"title": "AuditEventListResponse"
}

Field details:

FieldTypeRequiredDescriptionConstraints
itemsarray<object>Yes
items[]objectYes
items[].idstringYes
items[].created_atstringYesformat=date-time
items[].user_idinteger | nullNonullable
items[].actor_typestringYes
items[].actor_idstring | nullNonullable
items[].sourcestringYes
items[].event_groupstringYes
items[].event_typestringYes
items[].statusstringYes
items[].resource_typestring | nullNonullable
items[].resource_idstring | nullNonullable
items[].session_idstring | nullNonullable
items[].vm_idstring | nullNonullable
items[].task_idinteger | nullNonullable
items[].request_idstring | nullNonullable
items[].correlation_idstring | nullNonullable
items[].http_methodstring | nullNonullable
items[].pathstring | nullNonullable
items[].http_statusinteger | nullNonullable
items[].latency_msnumber | nullNonullable
items[].ip_addressstring | nullNonullable
items[].user_agentstring | nullNonullable
items[].node_ipstring | nullNonullable
items[].worker_idstring | nullNonullable
items[].event_payloadobject | nullNonullable
items[].error_messagestring | nullNonullable
next_cursorstring | nullNonullable

422

Validation Error

application/json

Resolved schema:

{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}

Field details:

FieldTypeRequiredDescriptionConstraints
detailarray<object>No
detail[]objectNo
detail[].locarray<string | integer>No
detail[].loc[]string | integerNo
detail[].msgstringNo
detail[].typestringNo